Package Gnumed :: Package wxpython :: Module gmTextCtrl |
[frames] | no frames]

# Module gmTextCtrl

source code

Author: K. Hilbert <Karsten.Hilbert@gmx.net>

License: GPL v2 or later (details at http://www.gnu.org)

Classes
| cColoredStatus_TextCtrlMixin Mixin for setting background color based on validity of content.
| cUnicodeInsertion_TextCtrlMixin Mixin for inserting unicode characters via selection tool.
| cTextSearch_TextCtrlMixin Code using classes with this mixin must call show_find_dialog() at appropriate times.
| cTextCtrl
| cExpandoTextCtrlHandling_PanelMixin Mixin for panels wishing to handel expand text ctrls within themselves.
| cExpandoTextCtrl Expando based text ctrl

Variables
| __doc__ = `"""GNUmed TextCtrl sbuclass."""`
| color_tctrl_invalid = `'pink'`
| color_tctrl_partially_invalid = `'yellow'`

Imports: logging, sys, wx, gmShellAPI, gmKeywordExpansionWidgets